Bug 1544317 - Error in evm log when clicked on Download pdf button of Template
Summary: Error in evm log when clicked on Download pdf button of Template
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.10.0
Assignee: Harpreet Kataria
QA Contact: Tasos Papaioannou
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-02-12 05:36 UTC by Niyaz Akhtar Ansari
Modified: 2019-06-17 17:04 UTC (History)
9 users (show)

Fixed In Version: 5.10.0.11
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-07 23:01:05 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0212 None None None 2019-02-07 23:01:10 UTC

Description Niyaz Akhtar Ansari 2018-02-12 05:36:58 UTC
Description of problem:


Version-Release number of selected component (if applicable):
Version 5.9.0.20.20180206200727_d1873b9 

How reproducible:
100%

Steps to Reproduce:
1.Add provider(vsphere)
2.Go to Compute ->Infrastructure->Virtual Machines->Templates
3.Click on Download pdf button and see evm log

Actual results:
Error in evm log "E, [2018-02-12T00:27:30.583185 #13274:ec6648] ERROR -- : MIQ(vm_infra_controller-download_summary_pdf): Can't access selected records" 

Expected results:
No Error

Additional info:
See the attached Video. 

https://goo.gl/jhLx6q

Comment 7 Niyaz Akhtar Ansari 2018-05-07 09:48:37 UTC
Harpreet,

I am able to see the error. Can you please try with below commands for error evm.log.

[root@dhcp-8-198-228 vmdb]# tail -f log/evm.log | grep --line-buffered E,

[----] E, [2018-05-07T05:43:39.440312 #12089:f906c8] ERROR -- : MIQ(vm_infra_controller-download_summary_pdf): Can't access selected records

Thanks 
~Niyaz

Comment 9 CFME Bot 2018-08-10 16:17:48 UTC
New commit detected on ManageIQ/manageiq-ui-classic/master:

https://github.com/ManageIQ/manageiq-ui-classic/commit/97a643b27f21906c7f88316df6e0a5d234a80020
commit 97a643b27f21906c7f88316df6e0a5d234a80020
Author:     Harpreet Kataria <hkataria@redhat.com>
AuthorDate: Thu Aug  9 15:09:38 2018 -0400
Commit:     Harpreet Kataria <hkataria@redhat.com>
CommitDate: Thu Aug  9 15:09:38 2018 -0400

    Fixed to pass in correct class for Template summary screen pdf download

    When downloading Template summary to PDF code was passing in incorrct class to find_records_with_rbac mthod, class was being passed in as ManageIQ::Providers::InfraManager::Vm this was causing code to raise an error that was displaye don screen as well as in evm.log. Changed download_summary_pdf method to pass in class from vm_common.
    Added spec test to verify that code does not raise any errors.

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1544317

 app/controllers/application_controller.rb | 4 +-
 app/controllers/vm_common.rb | 2 +-
 spec/controllers/vm_common_spec.rb | 4 +
 spec/shared/controllers/shared_example_for_download_summary_pdf.rb | 4 +
 4 files changed, 11 insertions(+), 3 deletions(-)

Comment 10 Tasos Papaioannou 2018-10-30 18:52:45 UTC
Verified on 5.10.0.21.

Comment 11 errata-xmlrpc 2019-02-07 23:01:05 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0212


Note You need to log in before you can comment on or make changes to this bug.